Subject: bug#13151: 24.2; tramp with ido: enters self-killing loop when opening /ftp: and hitting enter.

From: Michael Albinus <[email-masked]>
Date: Thu, 13 Dec 2012 16:52:58 +0100

Arne Babenhauserheide <[email-masked]> writes:

> I would expect that C-x C-w would still work even though I entered a
> nonsensical path (probably after hitting C-g to abort).
>
> The bug is not that it tried to open arne@ftp, the bug is that I had
> to kill the buffer and reopen the file to be able to use C-x C-w again.

You have confused Tramp. To cure it, you could apply

  M-x tramp-cleanup-this-connection

See the Tramp manual (info "(tramp)Cleanup remote connections")

> Best wishes,
> Arne

Best regards, Michael.